Subject: Re: Widespread boot failures on ARM due to "mm/page_alloc.c: calculate zone_start_pfn at zone_spanned_pages_in_node()"

From: Mark Brown <[email-masked]>
Date: Tue, 5 Jan 2016 19:24:04 +0000

On Tue, Jan 05, 2016 at 12:21:51PM +0000, Sudeep Holla wrote:
> On 05/01/16 11:45, Mark Brown wrote:
> >On Mon, Jan 04, 2016 at 04:35:28PM -0800, Andrew Morton wrote:
> >>On Mon, 4 Jan 2016 23:55:12 +0000 Mark Brown <[email-masked]> wrote:
> >>>On Mon, Jan 04, 2016 at 03:09:46PM -0800, Andrew Morton wrote:

> >>>>Thanks.  That patch has rather a blooper if
> >>>>CONFIG_HAVE_MEMBLOCK_NODE_MAP=n.  Is that the case in your testing?

> >>>Seems to be what's making a difference from a quick run through, yes.

> >>OK, thanks.

> >Seems like I was mistaken here somehow or there's some other problem -
> >I've kicked off another bisect for today's -next:

> >    https://ci.linaro.org/view/people/job/tbaker-boot-bisect-bot/137/console

> >and will follow up with any results.

> With both patches applied(one already in today's -next), I am able to
> boot on ARM64 platform but I get huge load(for each pfn) of below warning:

Bisect on today's -next with Arndale (an ARM platform) flags the same
patch:

  https://ci.linaro.org/view/people/job/tbaker-boot-bisect-bot/137/console

as does Juno which is an arm64 platform:

  https://ci.linaro.org/view/people/job/tbaker-boot-bisect-bot/138/console

(it does get to a console but with lots of the backtraces Sudeep
indicated).